### Function

# Gimp bind_text_domain

unstable since: 3.0

#### Declaration [src]

    void
    gimp_bind_text_domain (
      const gchar* domain_name,
      const gchar* dir_name
    )

#### Description [src]

This function wraps bindtextdomain on UNIX and wbintextdomain on Windows. `dir_name` is expected to be in the encoding used by the C library on UNIX and UTF-8 on Windows.

Available since: 3.0

#### Parameters

`domain_name`

  Type: `const gchar*`

  A gettext domain name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`dir_name`

  Type: `const gchar*`

  Path of the catalog directory.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.